<?php
ob_start();
session_start();
require "connect.php";

if(isset($_POST['adicionar'])) {
//Recebendo parametros do Form
  $ds_tipo 			= trim($_POST['ds_tipo']);
  
  //echo trim($_POST['vl_atendimento']) . "<br>";
  $vl_atendimento 	= str_replace(".","",trim($_POST['vl_atendimento']));
  $vl_atendimento 	= str_replace(",",".",trim($vl_atendimento));
  
  //echo $vl_atendimento;
  
  $st_ativo 		= 1;
  
//Elaborando query para insert 
  $sql = "insert into atendimentos_tipos (ds_tipo, vl_atendimento, st_ativo) values ('$ds_tipo', $vl_atendimento, $st_ativo)";

//Preparando statement
  $stmt = mysqli_prepare($conexao, $sql) or die(mysqli_error($conexao) . '<br />' . $sql);

//Executando o insert  
  mysqli_stmt_execute($stmt) or die(mysqli_error($conexao));

//Voltando para lista
  header("Location:atendimentos_tipos_list.php");

}

if(isset($_POST['editar'])) {
  $id 				= trim($_POST['id']);
  $ds_tipo 			= trim($_POST['ds_tipo']);
  $vl_atendimento 	= str_replace(".","",trim($_POST['vl_atendimento']));
  $vl_atendimento 	= str_replace(",",".",trim($vl_atendimento));
  $st_ativo		= 1;

  $sql = "update atendimentos_tipos set ds_tipo = '$ds_tipo', vl_atendimento = '$vl_atendimento' , st_ativo = $st_ativo";

  $sql .= " where id = $id";
  
  $stmt = mysqli_prepare($conexao, $sql) or die(mysqli_error($conexao) . '<br />' . $sql);
  mysqli_stmt_execute($stmt) or die(mysqli_error($conexao));

  header("Location:atendimentos_tipos_list.php");
}


if(isset($_POST['excluir'])) {
  $id 		= trim($_POST['id']);
  $sql = "update atendimentos_tipos set st_ativo = 0";
  $sql .= " where id = $id";
  $stmt = mysqli_prepare($conexao, $sql) or die(mysqli_error($conexao) . '<br />' . $sql);
  mysqli_stmt_execute($stmt) or die(mysqli_error($conexao));
  header("Location:atendimentos_tipos_list.php");
}




?>